<template lang="pug">
  article.vacancy-item
    h3.vacancy-item__label {{ heading }}
    span.vacancy-item__city(v-if="city") {{ city }}
    br(v-if="city")
    span.news-item__date {{ $moment(time).format('D.MM.YYYY') }}
    nuxt-link.news-item__link(:to="`/about/vacancies/${slug}`" :aria-label="heading")
</template>

<script>
export default {
  name: 'VacanciesItem',
  props: {
    heading: {
      type: String,
      required: true
    },
    time: {
      type: Number,
      required: true
    },
    slug: {
      type: String,
      required: true
    },
    city: {
      type: String,
      required: false,
      default: ''
    }
  }
};
</script>
